from axelrod.action import Action
from axelrod.player import Player
llIIIIlIlIIIllIIIl, IllllIlllIlllIIIIIII = Action.C, Action.D
class lllIIIlIll(Player):
    llIlllIlIlllllIllIll = "strategy"
    IllIllIllIl = {
        "memory_depth": 1,
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def lIlIlIlIlIlllIIl(llllIllIlIIIIlllIllI, lllIIllIllIlIII: Player) -> Action:
        if len(llllIllIlIIIIlllIllI.history) == 0:
            return llIIIIlIlIIIllIIIl
        if llllIllIlIIIIlllIllI.history[-1] == llIIIIlIlIIIllIIIl:
            return IllllIlllIlllIIIIIII
        return llIIIIlIlIIIllIIIl